package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_ATTACHMENT_DIRECTORY"
)
public class TCoreAttachmentDirectory extends TBaseEntity {
   @Column(
      length = 100
   )
   private String attachment_id;
   @Column(
      length = 100
   )
   private String attachment_name;
   @Column(
      length = 50
   )
   private String attachment_size;
   @Column(
      length = 20
   )
   private String attachment_form;
   @Column(
      length = 1000
   )
   private String file_note;
   @Column(
      length = 50
   )
   private String create_user;
   @Column(
      length = 50
   )
   @JsonFormat(
      pattern = "yyyy-MM-dd HH:mm:ss"
   )
   private Date create_date;

   public String getAttachment_id() {
      return this.attachment_id;
   }

   public void setAttachment_id(String attachment_id) {
      this.attachment_id = attachment_id;
   }

   public String getAttachment_name() {
      return this.attachment_name;
   }

   public void setAttachment_name(String attachment_name) {
      this.attachment_name = attachment_name;
   }

   public String getAttachment_size() {
      return this.attachment_size;
   }

   public void setAttachment_size(String attachment_size) {
      this.attachment_size = attachment_size;
   }

   public String getAttachment_form() {
      return this.attachment_form;
   }

   public void setAttachment_form(String attachment_form) {
      this.attachment_form = attachment_form;
   }

   public String getFile_note() {
      return this.file_note;
   }

   public void setFile_note(String file_note) {
      this.file_note = file_note;
   }

   public String getCreate_user() {
      return this.create_user;
   }

   public void setCreate_user(String create_user) {
      this.create_user = create_user;
   }

   public Date getCreate_date() {
      return this.create_date;
   }

   public void setCreate_date(Date create_date) {
      this.create_date = create_date;
   }
}
